summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorjc_gargma <jc_gargma@iserlohn-fortress.net>2019-01-25 20:31:49 -0800
committerjc_gargma <jc_gargma@iserlohn-fortress.net>2019-01-25 20:31:49 -0800
commit848fbcb0a2dd0b38296e983b203f3a1547125358 (patch)
treea48e86f65d102f3dfae35025f4147258d625d146
downloadsyncterm-848fbcb0a2dd0b38296e983b203f3a1547125358.tar.xz
Initial commit
-rw-r--r--PKGBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..feb5cba
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: jc_gargma <jc_gargma@iserlohn-fortress.net>
+# Maintainer (AUR): chrisl echo archlinux@c2h0r1i2s4t5o6p7h8e9r-l3u4n1a.com|sed 's/[0-9]//g'
+# Contributor (AUR): Mattias Andrée <`base64 -d`(bWFhbmRyZWUK)@member.fsf.org>
+
+# # I maintain this because:
+# AUR version uses http
+# AUR version uses epoch
+# AUR version has excessive cd commands
+
+pkgname=syncterm
+pkgver=1.0
+pkgrel=2
+pkgdesc="A BBS terminal program, Supports ANSI music and the IBM charset when possible. Will run from a console, under X11 using XLib, or using SDL."
+url="http://syncterm.bbsdev.net"
+license=('GPL')
+depends=('ncurses' 'sdl')
+options=(!buildflags)
+makedepends=(unzip)
+arch=('i686' 'x86_64')
+source=("https://ufpr.dl.sourceforge.net/project/syncterm/syncterm/syncterm-1.0/syncterm-1.0.tgz")
+sha512sums=('73c79e5df0ecd59078a2fa89ce5f16c0ade846e0084bc52152ea0fe799976ddd6a7a4b91fa8da35b1d8e64a38057a53096216bc68b59c57410ceb71d7cb94151')
+
+
+build() {
+ cd "$srcdir/syncterm-$pkgver/src/syncterm/"
+ make MANPREFIX="$pkgdir/usr/share" SRC_ROOT="$(realpath ..)" PREFIX="/usr" || true
+}
+
+package() {
+ cd "$srcdir/syncterm-$pkgver/src/syncterm/"
+ make MANPREFIX="$pkgdir/usr/share" SRC_ROOT="$(realpath ..)" PREFIX="$pkgdir/usr" install
+}